TagLib::ID3v2::AttachedPictureFrameV22 Class Reference

support for ID3v2.2 PIC frames More...

`#include <attachedpictureframe.h>`

Inheritance diagram for TagLib::ID3v2::AttachedPictureFrameV22:
[legend]
Collaboration diagram for TagLib::ID3v2::AttachedPictureFrameV22:
[legend]

## Protected Member Functions

void | parseFields (const ByteVector &data) override
Protected Member Functions inherited from TagLib::ID3v2::AttachedPictureFrame
ByteVector | renderFields () const override
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=nullptr)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
virtual PropertyMap | asProperties () const

## Friends

class | FrameFactory

## Additional Inherited Members

Public Member Functions inherited from TagLib::ID3v2::AttachedPictureFrame
| AttachedPictureFrame ()
| AttachedPictureFrame (const ByteVector &data)
| ~AttachedPictureFrame () override
| AttachedPictureFrame (const AttachedPictureFrame &)=delete
AttachedPictureFrame & | operator= (const AttachedPictureFrame &)=delete
String | toString () const override
StringList | toStringList () const override
String::Type | textEncoding () const
void | setTextEncoding (String::Type t)
String | mimeType () const
void | setMimeType (const String &m)
Type | type () const
void | setType (Type t)
String | description () const
void | setDescription (const String &desc)
ByteVector | picture () const
void | setPicture (const ByteVector &p)
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
| Frame (const Frame &)=delete
Frame & | operator= (const Frame &)=delete
ByteVector | frameID () const
unsigned int | size () const
unsigned int | headerSize () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
ByteVector | render () const
Header * | header () const
Static Public Member Functions inherited from TagLib::ID3v2::Frame
static ByteVector | textDelimiter (String::Type t)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)
Protected Attributes inherited from TagLib::ID3v2::AttachedPictureFrame
TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE std::unique_ptr< AttachedPictureFramePrivate > | d

## Detailed Description

support for ID3v2.2 PIC frames

## Member Function Documentation

## parseFields()

void TagLib::ID3v2::AttachedPictureFrameV22::parseFields | ( | const ByteVector & | data | ) |

override protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Reimplemented from TagLib::ID3v2::AttachedPictureFrame.

## Friends And Related Symbol Documentation

## FrameFactory

friend class FrameFactory

friend

References FrameFactory.

Referenced by FrameFactory.

The documentation for this class was generated from the following file:

- attachedpictureframe.h